#!/usr/bin/env python
# 
# setup for STARMP library packages
#
# use the following to install:
#   python setup.py install
#

from distutils.core import setup, Extension

VERSION = '1.0'

setup(
    name='starmp',
    version=VERSION,
    description='Species Tree informed Architecture Reconstruction - Maximum Parsimony',
    long_description = """
            """,
    author='Yi-Chieh Wu',
    author_email='yjw@mit.edu',
#    url='http://compbio.mit.edu/starmp/',
#    download_url='http://compbio.mit.edu/pub/starmp/starmp-%s.tar.gz' % VERSION,
    
    classifiers=[
          'Development Status :: 5 - Production/Stable',
          'Environment :: Console',
          'Intended Audience :: Developers',
          'Intended Audience :: Education',
          'Intended Audience :: Science/Research',
          'License :: OSI Approved :: GNU General Public License (GPL)',
          'Operating System :: POSIX',
          'Programming Language :: Python',
          'Topic :: Education',
          ],
    
    package_dir = {'': 'python'},
    packages=['starmp',
              'starmp.deps.rasmus', 'starmp.deps.rasmus.ply', 'starmp.deps.rasmus.vis',
              'starmp.deps.compbio', 
	      'starmp.deps.yjw', 'starmp.deps.yjw.fusion', 'starmp.deps.yjw.vis'],
    py_modules=[],
    scripts=['bin/starmp', 'bin/tree-counts', 'bin/tree-split', 'bin/treemajvote', 'bin/viewarchscen'],
    #ext_modules=[
    #    Extension(
    #        '', 
    #        [],
    #        include_dirs=[],
    #        libraries=[]
    #        )]
    )


